Package es.imim.DISGENET.internal.utils

# Class IconUtils

java.lang.Object
es.imim.DISGENET.internal.utils.IconUtils

public abstract class IconUtils extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISEASE_LAYER`
`static final String[]`
`DISEASE_LAYERS`
`static final Color[]`
`EM_COLORS`
`static final String`
`EM_ICON_LAYER_1`
`static final String`
`EM_ICON_LAYER_2`
`static final String`
`EM_ICON_LAYER_3`
`static final String`
`ENRICH_LAYER`
`static final String[]`
`ENRICH_LAYERS`
`static final String[]`
`LAYERED_EM_ICON`
`static final String[]`
`LAYERED_STRING_ICON`
`static final String`
`PUBMED_LAYER`
`static final String[]`
`PUBMED_LAYERS`
`static final String`
`STITCH_LAYER`
`static final String[]`
`STITCH_LAYERS`
`static final Color[]`
`STRING_COLORS`
`static final String`
`STRING_ICON`
`static final String`
`STRING_ICON_LAYER_1`
`static final String`
`STRING_ICON_LAYER_2`
`static final String`
`STRING_ICON_LAYER_3`
`static final String`
`STRING_ICON_LAYER_4`
`static final String`
`STRING_LAYER`
`static final String[]`
`STRING_LAYERS`

## Method Summary

Modifier and Type
Method
Description
`static Font`
`getIconFont(float size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRING_ICON

public static final String STRING_ICON

See Also:
  - Constant Field Values

### STRING_ICON_LAYER_1

public static final String STRING_ICON_LAYER_1

See Also:
  - Constant Field Values

### STRING_ICON_LAYER_2

public static final String STRING_ICON_LAYER_2

See Also:
  - Constant Field Values

### STRING_ICON_LAYER_3

public static final String STRING_ICON_LAYER_3

See Also:
  - Constant Field Values

### STRING_ICON_LAYER_4

public static final String STRING_ICON_LAYER_4

See Also:
  - Constant Field Values

### DISEASE_LAYER

public static final String DISEASE_LAYER

See Also:
  - Constant Field Values

### ENRICH_LAYER

public static final String ENRICH_LAYER

See Also:
  - Constant Field Values

### PUBMED_LAYER

public static final String PUBMED_LAYER

See Also:
  - Constant Field Values

### STITCH_LAYER

public static final String STITCH_LAYER

See Also:
  - Constant Field Values

### STRING_LAYER

public static final String STRING_LAYER

See Also:
  - Constant Field Values

### EM_ICON_LAYER_1

public static final String EM_ICON_LAYER_1

See Also:
  - Constant Field Values

### EM_ICON_LAYER_2

public static final String EM_ICON_LAYER_2

See Also:
  - Constant Field Values

### EM_ICON_LAYER_3

public static final String EM_ICON_LAYER_3

See Also:
  - Constant Field Values

### LAYERED_STRING_ICON

public static final String[] LAYERED_STRING_ICON

### STRING_COLORS

public static final Color[] STRING_COLORS

### DISEASE_LAYERS

public static final String[] DISEASE_LAYERS

### ENRICH_LAYERS

public static final String[] ENRICH_LAYERS

### PUBMED_LAYERS

public static final String[] PUBMED_LAYERS

### STITCH_LAYERS

public static final String[] STITCH_LAYERS

### STRING_LAYERS

public static final String[] STRING_LAYERS

### LAYERED_EM_ICON

public static final String[] LAYERED_EM_ICON

### EM_COLORS

public static final Color[] EM_COLORS

## Method Details

### getIconFont

public static Font getIconFont(float size)